Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/serio/i8042-x86ia64io.h |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/input/serio/i8042-x86ia64io.h~input-i8042-mux-blacklist-fsc-t3010.diff drivers/input/serio/i8042-x86ia64io.h
--- devel/drivers/input/serio/i8042-x86ia64io.h~input-i8042-mux-blacklist-fsc-t3010.diff	2005-08-06 15:34:11.000000000 -0700
+++ devel-akpm/drivers/input/serio/i8042-x86ia64io.h	2005-08-06 15:34:11.000000000 -0700
@@ -138,6 +138,13 @@ static struct dmi_system_id __initdata i
 		},
 	},
 	{
+		.ident = "Fujitsu-Siemens Lifebook T3010",
+		.matches = {
+			DMI_MATCH(DMI_SYS_VENDOR, "FUJITSU SIEMENS"),
+			DMI_MATCH(DMI_PRODUCT_NAME, "LIFEBOOK T3010"),
+		},
+	},
+	{
 		.ident = "Toshiba P10",
 		.matches = {
 			DMI_MATCH(DMI_SYS_VENDOR, "TOSHIBA"),
_
